POST
/api/v1/transactions/{id}/cancelTransactions
Cancel a transaction
Cancel a transaction while cancelling is still allowed.
Sandbox API
https://sandbox-api.nuvante.ioCheck actions.cancel.allowed on the transaction before you call cancel. Once a transaction has settled, any cancellation is rejected.
Parameters
| Field | Type | Required | Description |
|---|---|---|---|
| Authorization | string · header | Yes | Bearer sandbox API key with `transactions:write`. |
| id | uuid · path | Yes | Transaction ID. |
| Idempotency-Key | string · header | No | An optional unique key for safe retries. |
Responses
200Cancellation accepted.
409Cancellation no longer allowed.
Request
curl --request POST \
--url 'https://sandbox-api.nuvante.io/api/v1/transactions/123e4567-e89b-42d3-a456-426614174000/cancel' \
--header 'Authorization: Bearer nvt_sandbox_your_key' \
--header 'Accept: application/json' \
--header 'Idempotency-Key: cancel-dvp-redeem-0001'Response
{
"data": {
"actions": {
"cancel": {
"allowed": false,
"reason": "Already cancelled"
},
"override": {
"cancel": {
"allowed": false
},
"settle": {
"allowed": false
}
}
},
"details": {
"chain": "ReturnedToSender",
"reason": {
"code": "operator_cancelled"
},
"rtgs": "Cancelled",
"sagaStep": {
"current": 5,
"name": "Cancelled",
"total": 5
}
},
"id": "123e4567-e89b-42d3-a456-426614174000",
"initiatedAt": "2026-07-30T14:00:00.000Z",
"lifecycleStatus": "cancelled",
"parked": false,
"paymentReference": "DVP-REDEEM-0001",
"saga": {
"currentStepIndex": 4,
"steps": [
{
"name": "Received",
"status": "done"
},
{
"name": "Validated",
"status": "done"
},
{
"name": "Lock",
"status": "done"
},
{
"name": "Earmarked",
"status": "done"
},
{
"name": "Cancelled",
"status": "cancelled"
}
]
},
"source": {
"amount": {
"amount": "250000.00",
"asset": {
"code": "GBPC",
"issuer": "GA7QYNF7SOWQ3GLR2BGMZEHXAVIRZA4KVWLTJJFC7MGXUA74P7UJUWDA"
}
},
"party": {
"participantId": "223e4567-e89b-42d3-a456-426614174001",
"participantKind": "clearing_member",
"participantName": "Example Bank"
}
},
"target": {
"amount": {
"amount": "250000.00",
"asset": {
"code": "GBP"
}
},
"party": {
"participantId": "323e4567-e89b-42d3-a456-426614174002",
"participantKind": "stablecoin_issuer",
"participantName": "GBPC Issuer"
}
},
"terminal": true,
"updatedAt": "2026-07-30T14:00:07.000Z"
},
"meta": {
"commandId": "823e4567-e89b-42d3-a456-426614174007"
}
}